Package de.gebit.integrity.dsl

## Interface SuiteDefinition

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PackageStatement`
  All Known Implementing Classes:
    `SuiteDefinitionImpl`

      public interface SuiteDefinition
      extends PackageStatement

  A representation of the model object 'Suite Definition'.

  The following features are supported:

  - `Documentation`
  - `Private`
  - `Single Run`
  - `Inlined`
  - `Name`
  - `Parameters`
  - `Return`
  - `Dependencies`
  - `Finalizers`
  - `Statements`
  See Also:
    `DslPackage.getSuiteDefinition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<SuiteDefinition>` | `getDependencies()` | Returns the value of the 'Dependencies' reference list.
    `DocumentationComment` | `getDocumentation()` | Returns the value of the 'Documentation' containment reference.
    `org.eclipse.emf.common.util.EList<SuiteDefinition>` | `getFinalizers()` | Returns the value of the 'Finalizers' reference list.
    `String` | `getInlined()` | Returns the value of the 'Inlined' attribute.
    `String` | `getName()` | Returns the value of the 'Name' attribute.
    `org.eclipse.emf.common.util.EList<SuiteParameterDefinition>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `String` | `getPrivate()` | Returns the value of the 'Private' attribute.
    `org.eclipse.emf.common.util.EList<SuiteReturnDefinition>` | `getReturn()` | Returns the value of the 'Return' containment reference list.
    `String` | `getSingleRun()` | Returns the value of the 'Single Run' attribute.
    `org.eclipse.emf.common.util.EList<SuiteStatement>` | `getStatements()` | Returns the value of the 'Statements' containment reference list.
    `void` | `setDocumentation​(DocumentationComment value)` | Sets the value of the '`Documentation`' containment reference.
    `void` | `setInlined​(String value)` | Sets the value of the '`Inlined`' attribute.
    `void` | `setName​(String value)` | Sets the value of the '`Name`' attribute.
    `void` | `setPrivate​(String value)` | Sets the value of the '`Private`' attribute.
    `void` | `setSingleRun​(String value)` | Sets the value of the '`Single Run`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDocumentation

          DocumentationComment getDocumentation()

      Returns the value of the 'Documentation' containment reference.
      Returns:
        the value of the 'Documentation' containment reference.
      See Also:
        `setDocumentation(DocumentationComment)`, `DslPackage.getSuiteDefinition_Documentation()`

    - #### setDocumentation

          void setDocumentation​(DocumentationComment value)

      Sets the value of the '`Documentation`' containment reference.
      Parameters:
        `value` - the new value of the 'Documentation' containment reference.
      See Also:
        `getDocumentation()`

    - #### getPrivate

          String getPrivate()

      Returns the value of the 'Private' attribute.
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `setPrivate(String)`, `DslPackage.getSuiteDefinition_Private()`

    - #### setPrivate

          void setPrivate​(String value)

      Sets the value of the '`Private`' attribute.
      Parameters:
        `value` - the new value of the 'Private' attribute.
      See Also:
        `getPrivate()`

    - #### getSingleRun

          String getSingleRun()

      Returns the value of the 'Single Run' attribute.
      Returns:
        the value of the 'Single Run' attribute.
      See Also:
        `setSingleRun(String)`, `DslPackage.getSuiteDefinition_SingleRun()`

    - #### setSingleRun

          void setSingleRun​(String value)

      Sets the value of the '`Single Run`' attribute.
      Parameters:
        `value` - the new value of the 'Single Run' attribute.
      See Also:
        `getSingleRun()`

    - #### getInlined

          String getInlined()

      Returns the value of the 'Inlined' attribute.
      Returns:
        the value of the 'Inlined' attribute.
      See Also:
        `setInlined(String)`, `DslPackage.getSuiteDefinition_Inlined()`

    - #### setInlined

          void setInlined​(String value)

      Sets the value of the '`Inlined`' attribute.
      Parameters:
        `value` - the new value of the 'Inlined' attribute.
      See Also:
        `getInlined()`

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `DslPackage.getSuiteDefinition_Name()`

    - #### setName

          void setName​(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getParameters

          org.eclipse.emf.common.util.EList<SuiteParameterDefinition> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `SuiteParameterDefinition`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Parameters()`

    - #### getReturn

          org.eclipse.emf.common.util.EList<SuiteReturnDefinition> getReturn()

      Returns the value of the 'Return' containment reference list. The list contents are of type `SuiteReturnDefinition`.
      Returns:
        the value of the 'Return' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Return()`

    - #### getDependencies

          org.eclipse.emf.common.util.EList<SuiteDefinition> getDependencies()

      Returns the value of the 'Dependencies' reference list. The list contents are of type `SuiteDefinition`.
      Returns:
        the value of the 'Dependencies' reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Dependencies()`

    - #### getFinalizers

          org.eclipse.emf.common.util.EList<SuiteDefinition> getFinalizers()

      Returns the value of the 'Finalizers' reference list. The list contents are of type `SuiteDefinition`.
      Returns:
        the value of the 'Finalizers' reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Finalizers()`

    - #### getStatements

          org.eclipse.emf.common.util.EList<SuiteStatement> getStatements()

      Returns the value of the 'Statements' containment reference list. The list contents are of type `SuiteStatement`.
      Returns:
        the value of the 'Statements' containment reference list.
      See Also:
        `DslPackage.getSuiteDefinition_Statements()`